#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "CoreSettingsOfferingsDisplayWidget.generated.h"

class UCoreMenuLoadoutPartWidget;
class UCoreButtonWidget;

UCLASS(Blueprintable, EditInlineNew)
class UCoreSettingsOfferingsDisplayWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export)
	TArray<UCoreMenuLoadoutPartWidget*> _survivorOfferingWidgets;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export)
	TArray<UCoreMenuLoadoutPartWidget*> _killerOfferingWidgets;

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void OnOfferingUnhovered(UCoreButtonWidget* unhoveredOffering);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void OnOfferingHovered(UCoreButtonWidget* hoveredOffering);

public:
	UCoreSettingsOfferingsDisplayWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreSettingsOfferingsDisplayWidget) { return 0; }
